## ros-kinetic-romeo-robot 0.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(romeo_robot)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-romeo-robot (0.1.5-0xenial) xenial; urgency=high

  * update maintainers
  * Contributors: Mikael Arguedas

 -- Surya Ambrose <surya.ambrose@gmail.com>  Fri, 20 Jan 2017 08:00:00 -0000

ros-kinetic-romeo-robot (0.1.4-0xenial) xenial; urgency=high

  * added missing metapackage dependency
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Fri, 20 May 2016 07:00:00 -0000

ros-kinetic-romeo-robot (0.1.3-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Sun, 20 Dec 2015 08:00:00 -0000

ros-kinetic-romeo-robot (0.1.2-0xenial) xenial; urgency=high

  * fix dependency
  * Contributors: Vincent Rabaud

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Wed, 21 Oct 2015 07:00:00 -0000

ros-kinetic-romeo-robot (0.1.1-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Wed, 21 Oct 2015 07:00:00 -0000

ros-kinetic-romeo-robot (0.1.0-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Thu, 08 Oct 2015 07:00:00 -0000

ros-kinetic-romeo-robot (0.0.13-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Thu, 04 Dec 2014 08:00:00 -0000

ros-kinetic-romeo-robot (0.0.12-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Wed, 26 Nov 2014 08:00:00 -0000

ros-kinetic-romeo-robot (0.0.11-0xenial) xenial; urgency=high

  * added romeo_robot metapackage
  * Contributors: Mikael ARGUEDAS

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Wed, 26 Nov 2014 08:00:00 -0000

ros-kinetic-romeo-robot (0.0.10-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Thu, 13 Nov 2014 08:00:00 -0000

ros-kinetic-romeo-robot (0.0.9-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Thu, 25 Sep 2014 07:00:00 -0000

ros-kinetic-romeo-robot (0.0.8-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Mon, 22 Sep 2014 22:09:00 -0000

ros-kinetic-romeo-robot (0.0.7-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Mon, 22 Sep 2014 17:27:00 -0000

ros-kinetic-romeo-robot (0.0.6-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Fri, 19 Sep 2014 07:00:00 -0000

ros-kinetic-romeo-robot (0.0.5-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Thu, 18 Sep 2014 07:00:00 -0000

ros-kinetic-romeo-robot (0.0.4-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Thu, 11 Sep 2014 07:00:00 -0000

ros-kinetic-romeo-robot (0.0.3-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Thu, 11 Sep 2014 01:26:00 -0000

ros-kinetic-romeo-robot (0.0.2-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Wed, 10 Sep 2014 23:03:00 -0000

ros-kinetic-romeo-robot (0.0.1-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Tue, 09 Sep 2014 07:00:00 -0000

=== debian/control ===
Source: ros-kinetic-romeo-robot
Section: misc
Priority: extra
Maintainer: Surya Ambrose <surya.ambrose@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-romeo-robot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-romeo-bringup, ros-kinetic-romeo-description, ros-kinetic-romeo-sensors-py
Description: The romeo_robot metapackage

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-romeo-robot//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
